Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0044780
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Openbravo ERP] 09. Financial managementminoralways2020-08-11 12:432020-08-14 11:26
ReporterdmiguelezView Statuspublic 
Assigned ToTriage Finance 
PrioritynormalResolutionfixedFixed in VersionPR20Q4
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Todmiguelez
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0044780: Allow to hide Reversed Payments in Aging Balance Report

DescriptionAging Balance Report shows information about payments made and reversed in the details section.

Allow to hide this information with a new flag.
Steps To ReproduceAging Balance Report shows information about payments made and reversed in the details section.

Allow to hide this information with a new flag.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0121998)
dmiguelez (developer)
2020-08-12 10:14

Test Plan

Login as F%B International Group Admin

Pre-requisites:
  * Enable Reverse Payments Preference
      - Go to Preference Window
      - Create a new record with:
        - Organization: *
        - Property: Enable reversed payment documents filter in Aging Reports
        - Value: Y
        - All visibility fields empty
  * Enable Reverse Payments in Payment In/Out Windows
      - Log in as System Administrator
      - Go to Windows, Fields and Tab Window
      - Filter by Payment In and Payment Out Windows
      - Select Header Tab
      - Search for Reverse Payment field (it might be necessary to remove all filters first)
      - Set the field as Displayed
      - Restart Tomcat (it might be necessary to recompile the application too)

Test Plan I

  * Go to Sales Order Window and create a new record with:
      - Organization: F&B US
      - Business Partner: Healthy Foods Supermarkets
      - Payment Terms: 30 days
      - Move to Lines and create a new record with:
        - Product: Ale Beer
        - Invoiced Quantity: 10
      - Complete the Document
      - Click on Add Payment Button
        - Set Actual Payment: 10
        - Check that the selected line in the grid has Amount: 10
        - Click on Done

  * Go to Payment In Window
      - Select the previously created Payment
      - Click on Reverse Payment Button
        - Select today as the date
        - Click on Ok

  * Got to Receivalbes Aging Schedule Window
      - Filter by:
        - Organization: F&B US
        - Business Partner: Healthy Foods Supermarkets
        - Show Details: Checked
        - Reversed payments needs to be included: checked
     - Click on View
       - Check that there are two lines related to the Payment and the Reversed Payment created with credit (-10.00) and (10.00) respectively
       - Check the PDF and XLS output of the reports both from the Receivables Aging Schedule Window and from the buttons in the report output
    - Change the Reversed Payments check and leaved it un-checked. Click on view
       - Check that the two lines related to the Payment and the Reversed Payment are not shown
       - Check the PDF and XLS output of the reports both from the Receivables Aging Schedule Window and from the buttons in the report output

Test Plan II

  * Go to Purchase Order Window and create a new record with:
      - Organization: F&B US
      - Business Partner: Be Soft Drinker
      - Payment Terms: 30 days
      - Move to Lines and create a new record with:
        - Product: Plain Water
        - Invoiced Quantity: 10
      - Complete the Document
      - Click on Add Payment Button
        - Set the amount of the selected line in the grid as 10
        - Click on Done

  * Go to Payment Out Window
      - Select the previously created Payment
      - Click on Reverse Payment Button
        - Select today as the date
        - Click on Ok

  * Got to Payables Aging Schedule Window
      - Filter by:
        - Organization: F&B US
        - Business Partner: Be Soft Drinker
        - Show Details: Checked
        - Reversed payments needs to be included: checked
     - Click on View
       - Check that there are two lines related to the Payment and the Reversed Payment created with credit (-10.00) and (10.00) respectively
       - Check the PDF and XLS output of the reports both from the Receivables Aging Schedule Window and from the buttons in the report output
    - Change the Reversed Payments check and leaved it un-checked. Click on view
       - Check that the two lines related to the Payment and the Reversed Payment are not shown
       - Check the PDF and XLS output of the reports both from the Receivables Aging Schedule Window and from the buttons in the report output
(0122060)
hgbot (developer)
2020-08-14 11:19

Repository: https://gitlab.com/openbravo/product/openbravo [^]
Changeset: ad1c190318b178383b82a2ab44467ba8cef2403d
Author: david.miguelez <david.miguelez@openbravo.com>
Date: 2020-08-11T12:43:41+02:00
URL: https://gitlab.com/openbravo/product/openbravo/-/commit/ad1c190318b178383b82a2ab44467ba8cef2403d [^]

Fixes ISSUE-44780. Allows to hide information about Reversed Payments
in Aging Balance Report

---
M src-db/database/sourcedata/AD_ELEMENT.xml
M src-db/database/sourcedata/AD_REF_LIST.xml
M src-db/database/sourcedata/OBUIAPP_PARAMETER.xml
M src/org/openbravo/common/actionhandler/AgingBalanceReportActionHandler.java
M src/org/openbravo/erpCommon/ad_reports/AgingDao.java
M src/org/openbravo/erpCommon/ad_reports/AgingDao_data.xsql
M src/org/openbravo/erpCommon/ad_reports/AgingScheduleDetailHTML.jrxml
M src/org/openbravo/erpCommon/ad_reports/AgingScheduleHTML.jrxml
---
(0122061)
hgbot (developer)
2020-08-14 11:19

Repository: https://gitlab.com/openbravo/product/openbravo [^]
Changeset: 34e7e7eee9bc35419511a49ec279b463d2d2e58a
Author: david.miguelez <david.miguelez@openbravo.com>
Date: 2020-08-12T09:00:14+02:00
URL: https://gitlab.com/openbravo/product/openbravo/-/commit/34e7e7eee9bc35419511a49ec279b463d2d2e58a [^]

Related to ISSUE-44780. Code Review changes:
  * Reorder fields in Aging Balance Processes
  * In query to exclude reversed payments, do not use comparisons with DocumentNo
    column, as it can lead to false positives. Check the fin_rev_payment_id
    instead.
  * Fix call to show PDF and XLS output with correct values

---
M src-db/database/sourcedata/AD_ELEMENT.xml
M src-db/database/sourcedata/OBUIAPP_PARAMETER.xml
M src/org/openbravo/erpCommon/ad_reports/AgingDao_data.xsql
M src/org/openbravo/erpCommon/ad_reports/AgingScheduleDetailHTML.jrxml
---
(0122062)
hgbot (developer)
2020-08-14 11:19

Repository: https://gitlab.com/openbravo/product/openbravo [^]
Changeset: a0e263baf497dd10b2aef7b1d7a5fef8c90037e0
Author: david.miguelez <david.miguelez@openbravo.com>
Date: 2020-08-13T14:07:25+02:00
URL: https://gitlab.com/openbravo/product/openbravo/-/commit/a0e263baf497dd10b2aef7b1d7a5fef8c90037e0 [^]

Related to ISSUE-44780. Code Review Changes:
* Prevents API change by overloading the existing method

---
M src/org/openbravo/erpCommon/ad_reports/AgingDao.java
---
(0122063)
dmiguelez (developer)
2020-08-14 11:26

Code Review + Testing Ok

- Issue History
Date Modified Username Field Change
2020-08-11 12:43 dmiguelez New Issue
2020-08-11 12:43 dmiguelez Assigned To => Triage Finance
2020-08-11 12:43 dmiguelez Modules => Core
2020-08-11 12:43 dmiguelez Triggers an Emergency Pack => No
2020-08-12 10:14 dmiguelez Note Added: 0121998
2020-08-14 11:19 hgbot Resolution open => fixed
2020-08-14 11:19 hgbot Status new => resolved
2020-08-14 11:19 hgbot Fixed in Version => PR20Q4
2020-08-14 11:19 hgbot Note Added: 0122060
2020-08-14 11:19 hgbot Note Added: 0122061
2020-08-14 11:19 hgbot Note Added: 0122062
2020-08-14 11:26 dmiguelez Review Assigned To => dmiguelez
2020-08-14 11:26 dmiguelez Note Added: 0122063
2020-08-14 11:26 dmiguelez Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker